package com.szpg.db.test;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import com.szpg.db.dao.PgDeviceDao;
import com.szpg.db.dao.impl.PgDeviceDaoImpl;

public class PgDeviceTest {
	
	private PgDeviceDao dao;

	@Before
	public void setUp() throws Exception {
		dao = new PgDeviceDaoImpl();
	}

	@Test
	public void testFindDeviceIdByCode() {
		Assert.assertEquals(1, dao.findDeviceIdByCode("YXL.ACU001.DCH01").intValue());
	}

}
